
#Get rid of this annoying lib requirement
%define _requires_exceptions libgtksuperwin.so\\|libgtkembedmoz.so\\|libxpcom.so
%define oname yoono

Name: 		yoono-desktop
Version: 	1.8.5
Release: 	%mkrel 2
Summary: 	Connect to all your social networks and IM services - in one place.
Group:   	Networking/WWW
License: 	GPL
URL:     	http://www.yoono.com/index.html
Source:  	%name-%version.tar.xz
Source2: 	%{oname}_icons.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version
AutoReqProv: no

%description
Yoono is an easy to use application that allows you to connect
to all your social networks and instant messaging services - 
in one place. Get all your friend updates, update your own
status, and easily share stuff with your friends.


%prep

%setup -q -n %name

tar --bzip2 -xf %SOURCE2

%install

export DONT_STRIP=1
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_libdir}/%{name}
mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_iconsdir \
         %buildroot/%_datadir/pixmaps
#icons
install -m 644 %{oname}-16.png %buildroot/%{_miconsdir}/%{oname}.png
install -m 644 %{oname}-32.png %buildroot/%{_iconsdir}/%{oname}.png
install -m 644 %{oname}-48.png %buildroot/%_datadir/pixmaps/%{oname}.png

cp -af * %{buildroot}/%{_libdir}/%{name}/


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Yoono Desktop
Comment=Connect to social networks
Exec=%{_bindir}/%{name}
Icon=%_datadir/pixmaps/%{oname}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Internet-FileTransfer;Network;
EOF

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
cd %{_libdir}/%{name}
./%{name}
cd ..
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}
/sbin/ldconfig

%postun
%{clean_desktop_database}
/sbin/ldconfig

%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%{_miconsdir}/%{oname}.png
%{_iconsdir}/%{oname}.png
%{_libdir}/%{name}/*
%_datadir/pixmaps/%{oname}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Jul 06 2011 Texstar <texstar at gmail.com> 1.8.5-2pclos2011
- exclude provides from package

* Sun Mar 27 2011 Texstar <texstar at gmail.com> 1.8.5-1pclos2011
- create package

